Subject: Re: tc filter mask for ACK packets off?

From: Michal Soltys <[email-masked]>
Date: Wed, 04 Jan 2012 01:01:21 +0100

On 12-01-03 08:31, Michal Kubeček wrote:
> On Saturday 31 of December 2011 21:30EN, John A. Sullivan III wrote:
>>  <cut>
>
> However, by a "ACK only" packet (worth prioritizing), I would rather
> understand a packet with ACK flag without any payload, not a packet with
> ACK as the only flag. For many TCP connections, all packets except
> initial SYN and SYN-ACK and two FIN packets have ACK as the only flag.
> So my guess is you should rather prioritize all TCP packets with no
> application layer data.
>
>                                                           Michal Kubecek

In context of the above - xtables-addons provide length2 match which 
(possibly paired with other iptables matches) gives excellent control 
for such tasks.